#include <iostream>

using namespace std;

int main()
{
    int N,K,PK;
    int a[N];
    cin >> N,K;
    for (int i=0;i<N;i++) {
        cin >> a[i];
    }
    if (K==a[0]) {
        PK=a[N-1];
    }
    else {
            for (int i=0;i<N;i++) {
            if(a[i]==K) {
                PK=a[i+1];
            }
        }
    }
    cout << PK;
    return 0;
}